#include "motor_driver.h"
#include <plib.h>

void setup_motors() {
    // motor 1
    // use RA2 and RA3 to control
    mPORTASetPinsDigitalOut(BIT_2);
    mPORTASetPinsDigitalOut(BIT_3);
    mPORTAClearBits(BIT_2);
    mPORTAClearBits(BIT_3);
    // motor 2
    // use RB10 and RB13 to control
    mPORTBSetPinsDigitalOut(BIT_13);
    mPORTBSetPinsDigitalOut(BIT_10);
    mPORTBClearBits(BIT_13);
    mPORTBClearBits(BIT_10);
}

void motor_left_forward() {
    // RA2 high, RA3 low
    mPORTASetBits(BIT_2);
    mPORTAClearBits(BIT_3);
}

void motor_left_back() {
    // RA3 high, RA2 low
    mPORTASetBits(BIT_3);
    mPORTAClearBits(BIT_2);
}

void motor_left_holds() {
    // both pin low
    mPORTAClearBits(BIT_2);
    mPORTAClearBits(BIT_3);
}

void motor_right_forward() {
    // RB13 high, RB10 low
    mPORTBSetBits(BIT_13);
    mPORTBClearBits(BIT_10);
}

void motor_right_back() {
    // RB10 hight, RB13 low
    mPORTBSetBits(BIT_10);
    mPORTBClearBits(BIT_13);
}

void motor_right_holds() {
    // both pin low
    mPORTBClearBits(BIT_13);
    mPORTBClearBits(BIT_10);
}

void motors_go_ahead() {
    // move both motors forward
    motor_left_forward();
    motor_right_forward();
}

void motors_go_back() {
    // move both motors back
    motor_left_back();
    motor_right_back();
}

void motors_hold() {
    // hold both motors
    motor_left_holds();
    motor_right_holds();
}
